<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_graph_image_gradients_pytiovx_uc.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_tutorial_graph_image_gradients_pytiovx_uc.py File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>This file show example of using basic PyTIOVX APIs to describe an OpenVX graph. </p>
<p>To import PyTIOVX module so that the APIs can be called in this file add below line </p>
<div class="fragment"><pre class="fragment">        <span class="keyword">from</span> tiovx <span class="keyword">import</span> *
</pre></div><p>The basic steps one follows to describe the graph for PyTIOVX tool are,</p>
<ul>
<li>Create a context object.<ul>
<li>Pass as input a string which is used as a perfix to name the generated code and function.</li>
</ul>
</li>
<li>Create a graph object object</li>
<li>Create data objects.<ul>
<li>TIP: specify a name for data objects via name="xyz" to be able to identify it in the generated C code and image file</li>
</ul>
</li>
<li>Create node objects and link it to required data objects<ul>
<li>TIP: Add nodes to graph as you create them using graph.add()</li>
<li>TIP: Use target=Target.&lt;TargetName&gt; to specify the target on which this node runs.</li>
</ul>
</li>
<li>Add graph to context using context.add()</li>
<li>Generate C code for the objects in a context using <div class="fragment"><pre class="fragment">          ExportCode(context).export()
</pre></div></li>
<li>Generate image file for the objects in a context using <div class="fragment"><pre class="fragment">          ExportImage(context).export()
</pre></div></li>
<li>Run the PyTIOVX on this file using <div class="fragment"><pre class="fragment">          python &lt;.py file&gt;
</pre></div></li>
<li>In case of any error reported by the PYTIOVX tool, correct the input .py file</li>
<li>Verify the generated image file to confirm the graph is as expected.</li>
<li>Write the remaining C code to invoke the generated APIs</li>
</ul>
<p>See source code of function <a class="el" href="namespacevx__tutorial__graph__image__gradients__pytiovx__uc.html#afb7e1934f9c5ffcb06ff3636d063e2b4" title="Function to describe a graph and generate code, image using PyTIOVX tool.">vx_tutorial_graph_image_gradients_pytiovx_uc.make_my_graph()</a> for detailed API usage for this example. </p>

<p>Definition in file <a class="el" href="vx__tutorial__graph__image__gradients__pytiovx__uc_8py_source.html">vx_tutorial_graph_image_gradients_pytiovx_uc.py</a>.</p>

<p><a href="vx__tutorial__graph__image__gradients__pytiovx__uc_8py_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Packages</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">package &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevx__tutorial__graph__image__gradients__pytiovx__uc.html">vx_tutorial_graph_image_gradients_pytiovx_uc</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevx__tutorial__graph__image__gradients__pytiovx__uc.html#afb7e1934f9c5ffcb06ff3636d063e2b4">vx_tutorial_graph_image_gradients_pytiovx_uc.make_my_graph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to describe a graph and generate code, image using PyTIOVX tool.  <a href="#afb7e1934f9c5ffcb06ff3636d063e2b4"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
